<?php
include "../parametros.php"; 
  include "../valida_permisos.php";
	$vg_programa = F_programa();
	include "../seguridad.php";
	$sql_entrada= mysqli_query($conseg,"select login,nombre,perfil,programa,cedula,pais from permiso     
							where login='".trim($vg_login)."'  and programa=".$vg_programa."");
	while($datos= mysqli_fetch_row($sql_entrada))
			{ $vg_nombre=$datos[1];
			  $vg_perfil=$datos[2];				
			} 
	//permisos a formularios
	$modulo="recaudo";
	$permisos=validar_permiso($vg_login,$modulo,$vg_perfil,$vg_programa);
	include "../permisos.php";
	$valpermiso=F_permiso($permisos);
	
	if($valpermiso[0]==1){}
	else
	{echo "<script>";
	echo "window.location='../erroracceso.php?formulario=Recaudo';";
	echo "</script>";
	}
	
	include "../conexion.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>MI AGUA</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../icono.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

 <link rel="stylesheet" href="../toastn/style.css">
 <script src="../toastn/cute-alert.js"></script>
 
  
 <script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ //alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>

</head>

<body>
<?php
$idrecaudo=$_REQUEST["id"];
$matricula=$_REQUEST["afiliacion"];
$id=$idrecaudo;
$fecha="";$credito="";$abono="";$cuotas="";$observaciones="";

	$sql_datosp =mysqli_query($conexion,"select id FROM periodo where estado='A'");
	while($datosp= mysqli_fetch_row($sql_datosp)) { $idperiodo=$datosp[0]; }

	$sql_datos =mysqli_query($conexion,"select fecha,credito,abono,cuotas,observacion,estado,saldo FROM credito		
					   where idrecaudo='".$idrecaudo."'
					   and afiliacion='".$matricula."'");
	while($datos= mysqli_fetch_row($sql_datos))
		{ 
			$fecha=$datos[0]; 						
			$cuotas=$datos[3]; 	
			$observaciones=$datos[4]; 	
			$credito=number_format($datos[1],0,'','.'); 
			$abono=number_format($datos[2],0,'','.'); 
			$saldo=number_format($datos[6],0,'','.'); 
			$estado=$datos[5]; 
			$rsestado=$datos[5]; 
			$rssaldo=$datos[6]; 
			$rscuotas=$datos[3];
		}


if(isset($_REQUEST['oculto']))
  { 
	
	$id=$_REQUEST['id'];
	$fecha=$_REQUEST['fecha'];
	$cuotas=$_REQUEST['cuotas'];
	$observaciones=$_REQUEST['observaciones'];
	$credito=str_replace('.','',$_REQUEST['credito']);		
	$abono=str_replace('.','',$_REQUEST['abono']);		
	

if($_REQUEST["oguardar"]==1)
	 {   
		$contar=0;
		$sql_datos =mysqli_query($conexion,"select count(*)FROM credito		
											   where idrecaudo='".$idrecaudo."'
											   and afiliacion='".$matricula."'");
	    while($datos= mysqli_fetch_row($sql_datos)){$contar=$datos[0];	}
		if($contar==0)
		{
			$saldo=$credito-$abono;
			$sql_insert=mysqli_query($conexion,"insert into credito (idrecaudo,afiliacion,fecha,credito,abono,saldo,cuotas,observacion,estado,fecsis,horasis,usuario)
									values('".$idrecaudo."','".$matricula."','".$fecha."',
											'".$credito."','".$abono."','".$saldo."','".$cuotas."','".$observaciones."',
											'A','".$fecsis."','".$horasis."','".$vg_login."')"); 
			if($sql_insert)
			{
					$mensaje="Se registro el credito y se programo el plan de pagos" ;
					?>				  
					<script>
					cuteToast({
						type: "success", // or 'info', 'error', 'warning'
						message: "<?php echo $mensaje; ?>",
						timer: 4000
						})
					</script>
				<?php
			}	
			else 
			{
			$mensaje="Error al registra el credito";
					?>				  
					<script>
					cuteToast({
						type: "error", // or 'info', 'error', 'warning'
						message: "<?php echo $mensaje; ?>",
						timer: 4000
						})
					</script>
				<?php
			}	
		}
		else 
			{
			     $mensaje="Ya esta registrado el credito";
					?>				  
					<script>
					cuteToast({
						type: "error", // or 'info', 'error', 'warning'
						message: "<?php echo $mensaje; ?>",
						timer: 4000
						})
					</script>
				<?php
			}	
	}//fin guardar


if($_REQUEST["omodificar"]==1)
 {  
	  if($rsestado<>'A')
	  { 
	    	$mensaje="No se puede modificar ya esta cerrado el credito";
				?>				  
				<script>
				cuteToast({
					  type: "error", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 4000
					})
				</script>
			   <?php
	  }
	  else
	  {
	     if($rsestado=='A')
	      {
			  
				  $saldo=$credito-$abono;						
			   	  $sql_update=mysqli_query($conexion,"update credito set
													  fecha='".$fecha."',
													  credito='".$credito."',
										  		  	  abono='".$abono."',
													  saldo='".$saldo."',
													  cuotas='".$cuotas."',
												  	  observacion='".$observacion."'											  		  
													  where idrecaudo='".$idrecaudo."'
					  								  and afiliacion='".$matricula."'");
					 if($sql_update)
					   {
						   $mensaje="Se modifico el credito";
							?>				  
							<script>
							cuteToast({
								  type: "success", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 4000
								})
							</script>
						   <?php
							}
				 	 else
				  		 {
				  			  $mensaje="No se puede modificar el credito";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 4000
								})
							</script>
						   <?php
				   }
			  }
		  else
		   {
		       $mensaje="Solo se puede modificar en estado activo";
							?>				  
							<script>
							cuteToast({
								  type: "error", // or 'info', 'error', 'warning'
								  message: "<?php echo $mensaje; ?>",
								  timer: 4000
								})
							</script>
						   <?php
		   }
	   }
 }//fin modificar


if($_REQUEST["opp"]==1)
 {  
  
	  if($rsestado=='A')
	  { 
	     
		 $sql_datos=mysqli_query($conexion,"select  count(*) from credito_plan_pago
											 where idrecaudo='".$idrecaudo."' and afiliacion='".$matricula."'");
		 while($datos= mysqli_fetch_row($sql_datos)){ $contarpp=$datos[0]; 	}
		 if($contarpp==0)
		 {
			 $vrcuota=$rssaldo/$rscuotas;
			 
			 for($ci=1;$ci<=$rscuotas;$ci++)
			  {
				  
				  $sql_insert=mysqli_query($conexion,"insert into credito_plan_pago (idrecaudo,afiliacion,cuota,valor,fecsis,horasis,usuario,estado,periodo)
										values('".$idrecaudo."','".$matricula."','".$ci."',
												'".$vrcuota."','".$fecsis."','".$horasis."','".$vg_login."','A','".$idperiodo."')"); 
				 $idperiodo=$idperiodo+1;								
			  }
		 }
		 else
		 {
			 $mensaje="Ya esta Registrado el plan de pagos" ;
					?>				  
					<script>
					cuteToast({
						type: "error", // or 'info', 'error', 'warning'
						message: "<?php echo $mensaje; ?>",
						timer: 4000
						})
					</script>
				<?php
			 }
		 
	  }
 }

}//fin




?>
<form name="frmempleados" method="post" action="" >
 <center>
    <div class="panel panel-default" style="width:98%;">
	 <div class="panel-heading">GENERA CREDITO</div>
      <div align="center">
        <table width="100%" border="0">
          <tbody>
            <tr>
              <td width="7%"><div align="left" class="texto_campos">ID Recuado.</div></td>
              <td width="19%"><table width="100%" border="0">
                  <tbody>
                    <tr>
                      <td><input name="id" type="text" id="id"    value="<?php echo $id; ?>"             
                         class="form-control"  style="width: 100px"  readonly='true'
                         onkeypress="return valida(event);" /></td>
                      <td>&nbsp;</td>
                    </tr>
                  </tbody>
              </table></td>
              <td width="5%"><div align="left" class="texto_campos">Fecha </div></td>
              <td width="22%"><input name="fecha" type="date"  id="fecha"    value="<?php echo $fecha; ?>"    autocomplete="off"
              class="form-control"  style="width: 200px" /></td>
              <td width="6%"><div align="left" class="texto_campos"></div></td>
              <td width="41%"></td>
            </tr>
            <tr>
              <td colspan="6"><table width="100%" border="0">
                <tbody>
                  <tr>
                    <td width="14%"><div align="left" class="texto_campos">Valor Credito</div></td>
                    <td width="24%"><input name="credito" type="text"   id="credito" value="<?php echo $credito; ?>" 
								class="form-control"  style="width: 200px; "
                                 onkeyup="format(this)" onchange="format(this)" onfocus="format(this)"  
                         		  onkeypress="return valida(event);" /></td>
                    <td width="11%"><div align="left" class="texto_campos">Valor Abono</div></td>
                    <td width="24%"><input name="abono" type="text"   id="abono" value="<?php echo $abono; ?>" 
								class="form-control"  style="width: 200px; "
                                 onkeyup="format(this)" onchange="format(this)" onfocus="format(this)"  
                         		  onkeypress="return valida(event);" /></td>
                    <td width="9%"><div align="left" class="texto_campos">Cuotas</div></td>
                    <td width="18%"><input name="cuotas" type="text"   id="cuotas" value="<?php echo $cuotas; ?>" 
								class="form-control"  style="width: 100px; "
                                 onkeyup="format(this)" onchange="format(this)" onfocus="format(this)"  
                         		  onkeypress="return valida(event);" /></td>
                  </tr>
                </tbody>
              </table></td>
            </tr>
           
            <tr>
              <td align="center"><div align="left" class="texto_campos">Observaciones.</div></td>
              <td colspan="6" align="center">
                <textarea name="observaciones" class="form-control" id="observaciones" style="width: 99%; " 
                      		onFocus="this.style.background='#D5EAFF'" onBlur="this.style.background='#ffffff'" rows="2"><?php echo $observaciones; ?></textarea>
              </td>
            </tr>
            
            
            <tr>
              <td colspan="6" align="center"><input name="guardar" type="buttom"  id="guardar"  value="Guardar" onClick="return pregunta_guardar();" class="btn btn-primary" style="width: 120px"/>
                <input name="modificar" type="button"  id="modificar"  value="Modificar" onClick="return pregunta_modificar();" class="btn btn-primary" style="width:100px" />
                <input name="generapp" type="button"  id="generapp"  value="Genera Plan Pagos" onClick="return pregunta_pp();" class="btn btn-primary" style="width:200px" />
				<input type="hidden" name="oculto" />
                <input name="oguardar" type="hidden" id="oguardar" />
                <input name="omodificar" type="hidden" id="omodificar" />
                <input name="opp" type="hidden" id="opp" />
              </td>
            </tr>
          </tbody>
        </table>
        <p>&nbsp;</p>
      </div>
 </div>
 </center>  
 
 
 <script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  
	if (tecla==46){
        return true;
    } 
	
	if (tecla==120 || tecla==88){
        return true;
    } 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>


<SCRIPT type=text/javascript>


function pregunta_pp(){ 
cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.frmempleados.opp.value=0; 
				return false;
				}
			else
			  { document.frmempleados.opp.value=1; 
				document.frmempleados.submit(); 
				return true;
			  }
	   } 
	  else {
				document.frmempleados.opp.value=0;
		    	return false; 
	  }
	})
} 


function pregunta_guardar(){ 
cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.frmempleados.oguardar.value=0; 
				return false;
				}
			else
			  { document.frmempleados.oguardar.value=1; 
				document.frmempleados.submit(); 
				return true;
			  }
	   } 
	  else {
				document.frmempleados.oguardar.value=0;
		    	return false; 
	  }
	})
} 

function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.frmempleados.omodificar.value=0; 
				return false;
				}
			else
			  { document.frmempleados.omodificar.value=1; 
				document.frmempleados.submit(); 
				return true;
			  }
	   } 
	  else {
		document.frmempleados.omodificar.value=0;
		document.frmempleados.oproveedor.value=1; 
			document.frmempleados.oempresa.value=1;
		    return false; 
	  }
	})
} 


function valida_campos()
{   var mensaje='';

	
		 if(document.frmempleados.fecha.value!=''){}
		 else {mensaje=mensaje + 'Fecha,';    }
		 if(document.frmempleados.abono.value>=0){}
	 	 else {mensaje=mensaje + 'Valor Abono,';    }
		 if(document.frmempleados.cuotas.value>0){}
	 	 else {mensaje=mensaje + 'Total Cuotas,';    }

		 
		if( document.frmempleados.fecha.value!='' && document.frmempleados.abono.value>=0 && document.frmempleados.cuotas.value>0 ){return true;}
		else {
			   cuteAlert({
						  type: "error",
						  title: "MI AGUA",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
			  return false;
			 }

}

</script>

<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	 
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>

<script language="javascript">
$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})
</script>

<?php

  echo "<center>";
   echo "<table width='100%' border='1' cellspacing='0' cellpadding='0'  bordercolor='#cccccc' class='table table-hover' style='font-size:12px;'> \n";
   echo "<tr style='background:#0066CC'><td  colspan='21'><div align='center'><font color='#ffffff'>PLAN DE PAGOS</font></div></td></tr>";
   echo "<tr style='background:#0066CC'>
				<td ><center><font color='#FFFFFF'>CUOTA</font></center></td>	
				<td ><center><font color='#FFFFFF'>VALOR</font></center></td>										
				<td ><center><font color='#FFFFFF'>PERIODO</font></center></td>										
				<td ><center><font color='#FFFFFF'>ESTADO</font></center></td>										
			</tr>";	
			$cc=1;
		   $sql_datos=mysqli_query($conexion,"select  periodo,valor,estado,id,cuota from credito_plan_pago
											 where idrecaudo='".$idrecaudo."' and afiliacion='".$matricula."'
											 order by cuota asc");
			while($datos= mysqli_fetch_row($sql_datos))
				{	
					$periodo=$datos[0]; 						
					$valor=$datos[1]; 	
					$estado=$datos[2]; 	
					$id=$datos[3]; 	
					$cuota=$datos[4]; 	
					
					if($estado=='A'){$nestado='Pendiente Pago';}
					if($estado=='P'){$nestado='PAgada';}

					echo " <tr >";
					echo "<td><center>$cuota</center></td>
						  <td align='right'>".number_format($valor)."</td>						  
						  <td>$periodo</td>
						  <td><center>$nestado</center></td>
						</tr>";	
		   }	
		echo "</table>";
		
?>
</form>
</body>
</html>
